
in vec3 attr_pos;
in vec2 attr_uv0;

uniform mat4 modelViewProjection;

out vec3 texCoord0;

void main() {

	texCoord0 = vec3(attr_uv0,1.0);
	gl_Position = modelViewProjection * vec4(attr_pos,1.0);
		
}
